Subject: Re: bug#49669: 13.0.12; TeX-source-correlate-mode cannot be activated

From: Daniel Greenidge <[email-masked]>
Date: Wed, 21 Jul 2021 16:05:35 -0400

Hi Tassilo,

Thanks so much for your help! Upon inspecting the stack trace
I discovered that the problem is caused by the way the
use-package macro configures hooks. I managed to come up with
a workaround.

Since the issue isn’t the responsibility of AucTeX, I think this
bug can be closed.

Daniel

On 21 Jul 2021, at 15:44, Tassilo Horn wrote:

> Daniel Greenidge <[email-masked]> writes:
>
> Hi Daniel,
>
>> When I activate TeX-source-correlate mode with C-c C-t C-s, I receive
>> the following error message:
>>
>> Autoloading file /Users/cdg4/.config/emacs/elpa/auctex-13.0.12/auctex.elc
>> failed to define function auctex
>
> Very strange, it seems that something wants to auto-load a function
> `auctex' from auctex.el.  There is no such function, thus the error.
>
> Could you please do `M-x toggle-debug-on-error' and then trigger the
> error again?  That will give you a backtrace which you can post here.
>
> Bye,
> Tassilo